OperationThread File Reference
`#include <osg/observer_ptr>`
`#include <osg/Object>`
`#include <OpenThreads/Thread>`
`#include <OpenThreads/Barrier>`
`#include <OpenThreads/Condition>`
`#include <OpenThreads/Block>`
`#include <list>`
`#include <set>`

Go to the source code of this file.

## Classes

class | osg::RefBlock
class | osg::RefBlockCount
class | osg::Operation
class | osg::OperationQueue
class | osg::OperationThread

## Namespaces

namespace | osg

## Macros

#define | OSG_OPERATIONTHREAD 1

## Typedefs

typedef OperationThread | osg::OperationsThread

## Macro Definition Documentation

## OSG_OPERATIONTHREAD

#define OSG_OPERATIONTHREAD 1